Index: /pjproject/main/pjlib/build/pjlibpp.vcproj
===================================================================
--- /pjproject/main/pjlib/build/pjlibpp.vcproj	(revision 5)
+++ /pjproject/main/pjlib/build/pjlibpp.vcproj	(revision 6)
@@ -4,9 +4,8 @@
 	Version="7.10"
 	Name="pjlibpp"
-	ProjectGUID="{488B9CA1-8F59-4E4E-8748-D6A712CF9F3C}"
-	SccProjectName="&quot;$/pjproject&quot;, PIAAAAAA"
+	SccProjectName=""
 	SccAuxPath=""
-	SccLocalPath="..\.."
-	SccProvider="MSSCCI:Microsoft Visual SourceSafe">
+	SccLocalPath=""
+	SccProvider="">
 	<Platforms>
 		<Platform
@@ -16,6 +15,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\pjlibpp_vc7_Release"
-			IntermediateDirectory=".\output\pjlibpp_vc7_Release"
+			OutputDirectory=".\output\pjlibpp-i386-win32-vc7-release"
+			IntermediateDirectory=".\output\pjlibpp-i386-win32-vc7-release"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -27,13 +26,12 @@
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
 				EnableFunctionLevelLinking="TRUE"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlibpp_vc7_Release/pjlibpp.pch"
-				AssemblerListingLocation=".\output\pjlibpp_vc7_Release/"
-				ObjectFile=".\output\pjlibpp_vc7_Release/"
-				ProgramDataBaseFileName=".\output\pjlibpp_vc7_Release/"
+				PrecompiledHeaderFile=".\output\pjlibpp-i386-win32-vc7-release/pjlibpp.pch"
+				AssemblerListingLocation=".\output\pjlibpp-i386-win32-vc7-release/"
+				ObjectFile=".\output\pjlibpp-i386-win32-vc7-release/"
+				ProgramDataBaseFileName=".\output\pjlibpp-i386-win32-vc7-release/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -43,5 +41,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\lib\pjlibpp_vc7s.lib"
+				OutputFile="../lib/pjlibp_vc6s.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -68,6 +66,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlibpp_vc7_Debug"
-			IntermediateDirectory=".\output\pjlibpp_vc7_Debug"
+			OutputDirectory=".\output\pjlibpp-i386-win32-vc7-debug"
+			IntermediateDirectory=".\output\pjlibpp-i386-win32-vc7-debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -78,12 +76,11 @@
 				Optimization="0"
 				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlibpp_vc7_Debug/pjlibpp.pch"
-				AssemblerListingLocation=".\output\pjlibpp_vc7_Debug/"
-				ObjectFile=".\output\pjlibpp_vc7_Debug/"
-				ProgramDataBaseFileName=".\output\pjlibpp_vc7_Debug/"
+				PrecompiledHeaderFile=".\output\pjlibpp-i386-win32-vc7-debug/pjlibpp.pch"
+				AssemblerListingLocation=".\output\pjlibpp-i386-win32-vc7-debug/"
+				ObjectFile=".\output\pjlibpp-i386-win32-vc7-debug/"
+				ProgramDataBaseFileName=".\output\pjlibpp-i386-win32-vc7-debug/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -94,5 +91,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\lib\pjlibpp_vc7sd.lib"
+				OutputFile="../lib/pjlibp_vc6sd.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -127,16 +124,13 @@
 				RelativePath="..\src\pj++\compiletest.cpp">
 				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="TRUE">
+					Name="Release|Win32">
 					<Tool
 						Name="VCCLCompilerTool"
 						Optimization="2"
 						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						AssemblerOutput="4"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="TRUE">
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
 					<Tool
 						Name="VCCLCompilerTool"
@@ -150,14 +144,19 @@
 				RelativePath="..\src\pj++\pj++.cpp">
 				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"/>
 				</FileConfiguration>
 			</File>
@@ -165,14 +164,19 @@
 				RelativePath="..\src\pj++\proactor.cpp">
 				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"/>
 				</FileConfiguration>
 			</File>
@@ -192,4 +196,7 @@
 			<File
 				RelativePath="..\src\pj++\os.hpp">
+			</File>
+			<File
+				RelativePath="..\src\pjlib++.hpp">
 			</File>
 			<File
Index: /pjproject/main/pjlib/include/pj/addr_resolv.h
===================================================================
--- /pjproject/main/pjlib/include/pj/addr_resolv.h	(revision 5)
+++ /pjproject/main/pjlib/include/pj/addr_resolv.h	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 
Index: /pjproject/main/pjlib/include/pj/doxygen.h
===================================================================
--- /pjproject/main/pjlib/include/pj/doxygen.h	(revision 5)
+++ /pjproject/main/pjlib/include/pj/doxygen.h	(revision 6)
@@ -10,5 +10,5 @@
  */
 
-/*//////////////////////////////////////////////////////////////////////////*/
+/*////////////////////////////////////////////////////////////////////////// */
 /*
 	INTRODUCTION PAGE
@@ -442,12 +442,48 @@
  *  - i386/Linux
  *  - i386/Linux (kernel)
- *
- * Generally, steps required to build the projects are:
+ *  - alpha/linux
+ *  - sparc/SunOS
+ *  - etc..
+ *
+ *
+ * @subsubsection build_req_sec Requirements
+ *
+ * In order to use the \c make based build system, you MUST have:
+ *
+ *  - <b>GNU make</b>
+ *\n
+ *    The Makefiles heavily utilize GNU make commands which most likely
+ *    are not available in other \c make system.
+ *  - <b>bash</b> shell is recommended.
+ *\n
+ *    Specificly, there is a command <tt>"echo -n"</tt> which may not work
+ *    in other shells. This command is used when generating dependencies
+ *    (<tt>make dep</tt>) and it's located in 
+ *    <tt>$PJPROJECT/build/rules.mak</tt>.
+ *  - <b>ar</b>, <b>ranlib</b> from GNU binutils
+ *\n
+ *    In your system has different <tt>ar</tt> or <tt>ranlib</tt> (e.g. they
+ *    may have been installed as <tt>gar</tt> and <tt>granlib</tt>), then
+ *    either you create the relevant symbolic links, <b>or</b> modify
+ *    <tt>$PJPROJECT/build/cc-gcc.mak</tt> and rename <tt>ar</tt> and
+ *    <tt>ranlib</tt> to the appropriate names.
+ *  - <b>gcc</b> to generate dependency.
+ *\n
+ *    Currently the build system uses <tt>"gcc -MM"</tt> to generate build
+ *    dependencies. If <tt>gcc</tt> is not desired to generate dependency,
+ *    then either you don't run <tt>make dep</tt>, <b>or</b> edit
+ *    <tt>$PJPROJECT/build/rules.mak</tt> to calculate dependency using
+ *    your prefered method. (And let me know when you do so so that I can
+ *    update the file. :) )
+ *
+ * @subsubsection build_overview_sec Building the Project
+ *
+ * Generally, steps required to build the PJLIB are:
  *
  \verbatim
-   $ cd /home/user/pjproject-0.3     # <-- go to $PJPROJECT\n
-   $ vi build.mak                    # <-- set build target etc\n
-   $ cd pjlib/build                  # <-- go to projet's build dir\n
-   $ make                            # <-- build the project\n
+   $ cd /home/user/pjproject         # <-- go to $PJPROJECT
+   $ vi build.mak                    # <-- set build target etc
+   $ cd pjlib/build                  # <-- go to projet's build dir
+   $ make                            # <-- build the project
  \endverbatim
  *
@@ -464,19 +500,25 @@
  * the following \a make variables:
  *
- *  - \c MACHINE_NAME
- *\n
- *    Target machine/processor, one of: <b>{ i386 }</b>.
- *
- *  - \c OS_NAME
- *\n
- *    Target operating system, one of: <b>{ win32 | linux | linux-kernel }</b>.
- *
- *  - \c CC_NAME
- *\n
- *    Compiler name: <b>{ gcc | vc }</b>
- *
- *  - \c HOST_NAME
- *\n
- *    Build host: <b>{ unix | mingw }</b>
+ *  - <tt><b>MACHINE_NAME</b></tt>
+ *\n
+ *    Target machine/processor, one of: <b>{ i386 | alpha | sparc }</b>.
+ *
+ *  - <tt><b>OS_NAME</b></tt>
+ *\n
+ *    Target operating system, one of: <b>{ win32 | linux | 
+ *      linux-kernel | sunos }</b>.
+ *
+ *  - <tt><b>CC_NAME</b></tt>
+ *\n
+ *    Compiler name: <b>{ gcc | vc }</b>\n
+ *    (Note that support for Visual C (vc) compiler with the \c make system is
+ *    experimental, and it will only work when run inside a DOS shell
+ *    (i.e. <tt>"HOST_NAME=win32"</tt>)).
+ *
+ *  - <tt><b>HOST_NAME</b></tt>
+ *\n
+ *    Build host: <b>{ unix | mingw | win32 }</b>\n
+ *    (Note: win32 host means a DOS command prompt. Support for this type
+ *    of development host is experimental).
  *
  * These variables will cause the correct configuration file in 
@@ -534,4 +576,7 @@
  \endverbatim
  *
+ * Alternatively you may invoke <tt>make</tt> in <tt>$PJPROJECT</tt> 
+ * directory, to build all projects under that directory (e.g. 
+ * PJLIB, PJSIP, etc.).
  *
  *
Index: /pjproject/main/pjlib/src/pj/addr_resolv_sock.c
===================================================================
--- /pjproject/main/pjlib/src/pj/addr_resolv_sock.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/addr_resolv_sock.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/addr_resolv.h>
Index: /pjproject/main/pjlib/src/pj/array.c
===================================================================
--- /pjproject/main/pjlib/src/pj/array.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/array.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/array.h>
Index: /pjproject/main/pjlib/src/pj/config.c
===================================================================
--- /pjproject/main/pjlib/src/pj/config.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/config.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/config.h>
Index: /pjproject/main/pjlib/src/pj/equeue_winnt.c
===================================================================
--- /pjproject/main/pjlib/src/pj/equeue_winnt.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/equeue_winnt.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/equeue.h>
Index: /pjproject/main/pjlib/src/pj/errno.c
===================================================================
--- /pjproject/main/pjlib/src/pj/errno.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/errno.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/errno.h>
Index: /pjproject/main/pjlib/src/pj/except.c
===================================================================
--- /pjproject/main/pjlib/src/pj/except.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/except.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/except.h>
Index: /pjproject/main/pjlib/src/pj/fifobuf.c
===================================================================
--- /pjproject/main/pjlib/src/pj/fifobuf.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/fifobuf.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/fifobuf.h>
Index: /pjproject/main/pjlib/src/pj/guid.c
===================================================================
--- /pjproject/main/pjlib/src/pj/guid.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/guid.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/guid.h>
Index: /pjproject/main/pjlib/src/pj/guid_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/guid_win32.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/guid_win32.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/guid.h>
Index: /pjproject/main/pjlib/src/pj/hash.c
===================================================================
--- /pjproject/main/pjlib/src/pj/hash.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/hash.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/hash.h>
Index: /pjproject/main/pjlib/src/pj/ioqueue_select.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_select.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/ioqueue_select.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 /*
Index: /pjproject/main/pjlib/src/pj/ioqueue_winnt.c
===================================================================
--- /pjproject/main/pjlib/src/pj/ioqueue_winnt.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/ioqueue_winnt.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/ioqueue.h>
Index: /pjproject/main/pjlib/src/pj/list.c
===================================================================
--- /pjproject/main/pjlib/src/pj/list.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/list.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/list.h>
Index: /pjproject/main/pjlib/src/pj/lock.c
===================================================================
--- /pjproject/main/pjlib/src/pj/lock.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/lock.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/lock.h>
Index: /pjproject/main/pjlib/src/pj/log.c
===================================================================
--- /pjproject/main/pjlib/src/pj/log.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/log.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/types.h>
Index: /pjproject/main/pjlib/src/pj/log_writer_stdout.c
===================================================================
--- /pjproject/main/pjlib/src/pj/log_writer_stdout.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/log_writer_stdout.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/log.h>
Index: /pjproject/main/pjlib/src/pj/md5.c
===================================================================
--- /pjproject/main/pjlib/src/pj/md5.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/md5.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 /*
Index: /pjproject/main/pjlib/src/pj/os_core_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_core_win32.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/os_core_win32.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/os_error_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_error_win32.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/os_error_win32.c	(revision 6)
@@ -1,17 +1,3 @@
 /* $Id$
- *
- */
-/* $Log: /pjproject-0.3/pjlib/src/pj/os_error_win32.c $
- * 
- * 3     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 2     9/21/05 1:39p Bennylp
- * Periodic checkin for backup.
- * 
- * 1     9/17/05 10:36a Bennylp
- * Created.
- *
  */
 #include <pj/errno.h>
Index: /pjproject/main/pjlib/src/pj/os_time_ansi.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_time_ansi.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/os_time_ansi.c	(revision 6)
@@ -1,14 +1,3 @@
 /* $Id$
- *
- */
-/* $Log: /pjproject-0.3/pjlib/src/pj/os_time_ansi.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     9/17/05 10:36a Bennylp
- * Created.
- *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/os_timestamp_common.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_timestamp_common.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/os_timestamp_common.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/os_timestamp_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/os_timestamp_win32.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/os_timestamp_win32.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/os.h>
Index: /pjproject/main/pjlib/src/pj/pool.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/pool.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_caching.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_caching.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/pool_caching.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_dbg_win32.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_dbg_win32.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/pool_dbg_win32.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/pool_policy_malloc.c
===================================================================
--- /pjproject/main/pjlib/src/pj/pool_policy_malloc.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/pool_policy_malloc.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pj/rand.c
===================================================================
--- /pjproject/main/pjlib/src/pj/rand.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/rand.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/rand.h>
Index: /pjproject/main/pjlib/src/pj/rbtree.c
===================================================================
--- /pjproject/main/pjlib/src/pj/rbtree.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/rbtree.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/rbtree.h>
Index: /pjproject/main/pjlib/src/pj/scanner.c
===================================================================
--- /pjproject/main/pjlib/src/pj/scanner.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/scanner.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/scanner.h>
Index: /pjproject/main/pjlib/src/pj/sock_bsd.c
===================================================================
--- /pjproject/main/pjlib/src/pj/sock_bsd.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/sock_bsd.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/sock.h>
Index: /pjproject/main/pjlib/src/pj/sock_select.c
===================================================================
--- /pjproject/main/pjlib/src/pj/sock_select.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/sock_select.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/sock_select.h>
@@ -13,5 +12,6 @@
 
 #ifdef _MSC_VER
-#  pragma warning(disable: 4018)    // Signed/unsigned mismatch in FD_*
+#   pragma warning(disable: 4018)    // Signed/unsigned mismatch in FD_*
+#   pragma warning(disable: 4389)    // Signed/unsigned mismatch in FD_*
 #endif
 
Index: /pjproject/main/pjlib/src/pj/string.c
===================================================================
--- /pjproject/main/pjlib/src/pj/string.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/string.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/string.h>
Index: /pjproject/main/pjlib/src/pj/stun.c
===================================================================
--- /pjproject/main/pjlib/src/pj/stun.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/stun.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/stun.h>
Index: /pjproject/main/pjlib/src/pj/stun_client.c
===================================================================
--- /pjproject/main/pjlib/src/pj/stun_client.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/stun_client.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/stun.h>
Index: /pjproject/main/pjlib/src/pj/timer.c
===================================================================
--- /pjproject/main/pjlib/src/pj/timer.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/timer.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 /* (C)1993-2003 Douglas C. Schmidt
Index: /pjproject/main/pjlib/src/pj/types.c
===================================================================
--- /pjproject/main/pjlib/src/pj/types.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/types.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/types.h>
Index: /pjproject/main/pjlib/src/pj/xml.c
===================================================================
--- /pjproject/main/pjlib/src/pj/xml.c	(revision 5)
+++ /pjproject/main/pjlib/src/pj/xml.c	(revision 6)
@@ -1,4 +1,3 @@
 /* $Id$
- *
  */
 #include <pj/xml.h>
Index: /pjproject/main/pjlib/src/pjlib-samples/except.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-samples/except.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-samples/except.c	(revision 6)
@@ -1,15 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-samples/except.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/10/05 3:16p Bennylp
- * Created.
- *
  */
 #include <pj/except.h>
Index: /pjproject/main/pjlib/src/pjlib-samples/list.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-samples/list.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-samples/list.c	(revision 6)
@@ -1,17 +1,4 @@
 /* $Id$
- *
  */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-samples/list.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/10/05 5:12p Bennylp
- * Created.
- *
- */
-
 #include <pj/list.h>
 #include <pj/assert.h>
Index: /pjproject/main/pjlib/src/pjlib-samples/log.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-samples/log.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-samples/log.c	(revision 6)
@@ -1,15 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-samples/log.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/10/05 3:16p Bennylp
- * Created.
- *
  */
 #include <pj/log.h>
Index: /pjproject/main/pjlib/src/pjlib-test/atomic.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/atomic.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/atomic.c	(revision 6)
@@ -1,15 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/atomic.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/07/05 9:49p Bennylp
- * Created.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/echo_clt.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/echo_clt.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/echo_clt.c	(revision 6)
@@ -1,17 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/echo_clt.c $
- * 
- * 3     10/29/05 10:25p Bennylp
- * Tested.
- * 
- * 2     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 1     10/24/05 11:28a Bennylp
- * Created.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/echo_srv.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/echo_srv.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/echo_srv.c	(revision 6)
@@ -1,17 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/echo_srv.c $
- * 
- * 3     10/29/05 10:23p Bennylp
- * Changed ioqueue accept specification.
- * 
- * 2     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 1     10/24/05 11:28a Bennylp
- * Created.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/errno.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/errno.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/errno.c	(revision 6)
@@ -1,21 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/errno.c $
- * 
- * 4     10/14/05 3:05p Bennylp
- * Fixed warning about strlen() on Linux.
- * 
- * 3     14/10/05 11:30 Bennylp
- * Verify the error message.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/09/05 9:56p Bennylp
- * Created.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/exception.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/exception.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/exception.c	(revision 6)
@@ -1,5 +1,3 @@
 /* $Id$
- *
-
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/fifobuf.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/fifobuf.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/fifobuf.c	(revision 6)
@@ -1,5 +1,3 @@
 /* $Id$
- *
-
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/ioq_perf.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/ioq_perf.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/ioq_perf.c	(revision 6)
@@ -1,21 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/ioq_perf.c $
- * 
- * 4     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 3     14/10/05 11:31 Bennylp
- * More generalized test method, works for UDP too.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/11/05 3:52p Bennylp
- * Created.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/ioq_tcp.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/ioq_tcp.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/ioq_tcp.c	(revision 6)
@@ -1,19 +1,3 @@
 /* $Id$
- *
-
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/ioq_tcp.c $
- * 
- * 4     10/29/05 10:23p Bennylp
- * Fixed no-memory exception.
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/ioq_udp.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/ioq_udp.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/ioq_udp.c	(revision 6)
@@ -1,19 +1,3 @@
 /* $Id$
- *
-
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/ioq_udp.c $
- * 
- * 4     10/29/05 10:23p Bennylp
- * Fixed no-memory exception.
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/list.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/list.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/list.c	(revision 6)
@@ -1,5 +1,3 @@
 /* $Id$
- *
-
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/main.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/main.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/main.c	(revision 6)
@@ -1,19 +1,3 @@
 /* $Id$
- *
-
- */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/main.c $
- * 
- * 4     29/10/05 21:32 Bennylp
- * Boost process priority in Win32
- * 
- * 3     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/main_mod.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/main_mod.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/main_mod.c	(revision 6)
@@ -1,15 +1,3 @@
 /* $Id$
- *
-
- */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/main_mod.c $
- * 
- * 2     10/29/05 11:51a Bennylp
- * Version 0.3-pre2.
- * 
- * 1     10/05/05 5:12p Bennylp
- * Created.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/mutex.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/mutex.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/mutex.c	(revision 6)
@@ -1,11 +1,3 @@
 /* $Id$
- *
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/mutex.c $
- * 
- * 1     10/23/05 12:52p Bennylp
- * Craeted.
- *
  */
 #include "test.h"
Index: /pjproject/main/pjlib/src/pjlib-test/os.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/os.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/os.c	(revision 6)
@@ -1,12 +1,3 @@
 /* $Id$
- *
-
  */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/os.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- *
- */
+int dummy_os_var;
Index: /pjproject/main/pjlib/src/pjlib-test/pool.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/pool.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/pool.c	(revision 6)
@@ -1,13 +1,3 @@
 /* $Id$
- *
-
- */
-/*
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/pool.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
  */
 #include <pj/pool.h>
Index: /pjproject/main/pjlib/src/pjlib-test/pool_perf.c
===================================================================
--- /pjproject/main/pjlib/src/pjlib-test/pool_perf.c	(revision 5)
+++ /pjproject/main/pjlib/src/pjlib-test/pool_perf.c	(revision 6)
@@ -1,15 +1,3 @@
 /* $Id$
- *
- */
-/* 
- * $Log: /pjproject-0.3/pjlib/src/pjlib-test/pool_perf.c $
- * 
- * 2     10/14/05 12:26a Bennylp
- * Finished error code framework, some fixes in ioqueue, etc. Pretty
- * major.
- * 
- * 1     10/05/05 5:13p Bennylp
- * Created.
- *
  */
 #include "test.h"
